package com.chenyang.druid.sql.dialect.db2.ast.expr;

import com.chenyang.druid.sql.SQLUtils;
import com.chenyang.druid.sql.ast.SQLExprImpl;
import com.chenyang.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public abstract class DB2ExprImpl extends SQLExprImpl implements DB2Expr {
   public abstract void accept0(DB2ASTVisitor var1);

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public String toString() {
      return SQLUtils.toPGString(this);
   }
}
